Skip to main content
`Ctrl`+`K`

# PetscPOpenSetMachine

Sets the name of the default machine to run `PetscPOpen()` calls on

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscPOpenSetMachine(const char machine[])

Logically Collective, but only the MPI process with rank 0 runs the command

## Input Parameter

- machine - machine to run command on or `NULL` for the current machine

## Options Database Key

- -popen_machine <machine> - run the process on this machine

## See Also

`PetscFOpen()`, `PetscFClose()`, `PetscPClose()`, `PetscPOpen()`

## Level

intermediate

## Location

src/sys/fileio/mpiuopen.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages